package be.cylab.java.roc;

import java.util.List;

/**
 * Main class.
 */
public final class Main {

    private Main() {

    }

    /**
     * Main method for simple test.
     *
     * @param args
     */
    public static void main(final String[] args) {

        String path = args[0];
        double[] score = new double[10];
        for (int i = 0; i < score.length; i++) {
            score[i] = Math.random();
        }

        double[] true_alert = new double[]{
                0,
                1,
                0,
                1,
                1,
                0,
                1,
                1,
                0,
                0};
        Roc roc = new Roc(score, true_alert);
        System.out.println(roc.computeAUC());

        List<CurveCoordinates> roc_coordinates =
                roc.computeRocPointsAndGenerateCurve("Test.png");
        Utils.storeRocCoordinatesInCSVFile(roc_coordinates,
                path);


        String filename = args[1];
        Roc roc2 = new Roc(filename);
        System.out.println(roc2.computeAUC());
        roc2.computeRocPointsAndGenerateCurve("Test2.png");

        PRCurve pr = new PRCurve(filename);
        System.out.println("PR AUC with trapezoid : " + pr.computePRAUC());
        pr.computePrcPointsAndGenerateCurve("PRTest.png");



    }
}
